#ifndef QAD_UTILS_H
#define QAD_UTILS_H

#include <QtDesigner/QtDesigner>
#include <QtCore/qplugin.h>

class QADUtils: public QObject, public QDesignerCustomWidgetCollectionInterface
{
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)

public:
	explicit QADUtils(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface * > customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface * > m_widgets;

};

#endif // QAD_UTILS_H
